package com.cf.imes.module.system.enums.logger;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * {@link com.cf.imes.module.system.enums.logger.LoginLogTypeEnum} 的单元测试
 *
 * @author Gqr
 * @since 2025/12/11 15:12
 */
public class LoginLogTypeEnumTest {
    @Test
    void test() {
        assertEquals(100, LoginLogTypeEnum.LOGIN_USERNAME.getType());
        assertEquals(101, LoginLogTypeEnum.LOGIN_SOCIAL.getType());
        assertEquals(103, LoginLogTypeEnum.LOGIN_MOBILE.getType());
        assertEquals(104, LoginLogTypeEnum.LOGIN_SMS.getType());
        assertEquals(105, LoginLogTypeEnum.LOGIN_FORGET_PWD.getType());
        assertEquals(200, LoginLogTypeEnum.LOGOUT_SELF.getType());
        assertEquals(202, LoginLogTypeEnum.LOGOUT_DELETE.getType());
    }
}
